Main Page Widgets Namespaces Book

# Gtk::VolumeButton Class Reference
[Widgets]

Inheritance diagram for Gtk::VolumeButton:

[legend]
List of all members.

## Detailed Description

TODO.

## Public Member Functions

const GtkVolumeButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkVolumeButton* | gobj ()
| Provides access to the underlying C GtkObject.
| VolumeButton ()
| TODO.
virtual | ~VolumeButton ()

## Related Functions

(Note that these are not member functions.)
Gtk::VolumeButton* | wrap (GtkVolumeButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::VolumeButton::~VolumeButton | ( |  | ) | `[virtual]`

Gtk::VolumeButton::VolumeButton | ( |  | ) |

TODO.

## Member Function Documentation

const GtkVolumeButton* Gtk::VolumeButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ScaleButton.

GtkVolumeButton* Gtk::VolumeButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ScaleButton.

## Friends And Related Function Documentation

Gtk::VolumeButton* wrap | ( | GtkVolumeButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- volumebutton.h